<GridLayout>
    <TabView>
        <StackLayout *tabItem="{title: 'Profile'}" class="tab_stack">
            <ns-action-bar title='Profile'></ns-action-bar>
            <GridLayout rows="*,auto,auto">
                <ScrollView>
                    <GridLayout rows="auto,auto,auto,auto,auto,auto,auto,auto,auto,auto,auto,auto">
                        <GridLayout row="0" rows="*" columns="*,auto" class="sections">
                            <Label row="0" col="0" text="First Name" class="pro_lable_lft"></Label>
                            <Label row="0" col="1" [text]= 'userProfile?.firstName' class="pro_lable_rt"></Label>
                        </GridLayout>
                        <GridLayout row="1" rows="*" columns="*,auto" class="sections">
                                <Label row="0" col="0" text="Middle Name" class="pro_lable_lft"></Label>
                                <Label row="0" col="1" [text]= 'userProfile?.middleName' class="pro_lable_rt"></Label>
                        </GridLayout>
                        <GridLayout row="2" rows="*" columns="*,auto" class="sections">
                                <Label row="0" col="0" text="Last Name" class="pro_lable_lft"></Label>
                                <Label row="0" col="1" [text]= 'userProfile?.lastName' class="pro_lable_rt"></Label>
                        </GridLayout>
                        <GridLayout row="3" rows="*" columns="*,auto" class="sections">
                                <Label row="0" col="0" text="Suffix" class="pro_lable_lft"></Label>
                                <Label row="0" col="1" [text]= 'userProfile?.suffix' class="pro_lable_rt"></Label>
                        </GridLayout>
                        <GridLayout row="4" rows="*" columns="*,auto" class="sections">
                                <Label row="0" col="0" text="Gender" class="pro_lable_lft"></Label>
                                <Label row="0" col="1" [text]= 'userProfile?.gender' class="pro_lable_rt"></Label>
                        </GridLayout>
                        <GridLayout row="5" rows="*" columns="*,auto" class="sections">
                                <Label row="0" col="0" text="Date of Birth" class="pro_lable_lft"></Label>
                                <Label row="0" col="1" [text]= 'userProfile?.dob' class="pro_lable_rt"></Label>
                        </GridLayout>
                        <GridLayout row="6" rows="*" columns="*,auto" class="sections">
                                <Label row="0" col="0" text="Age" class="pro_lable_lft"></Label>
                                <Label row="0" col="1" [text]= 'userProfile?.age' class="pro_lable_rt"></Label>
                        </GridLayout>
                        <GridLayout row="7" rows="*" columns="*,auto" class="sections">
                                <Label row="0" col="0" text="Email" class="pro_lable_lft"></Label>
                                <Label row="0" col="1" [text]= 'userProfile?.userEmailAddress' class="pro_lable_rt"></Label>
                        </GridLayout>
                        <GridLayout row="8" rows="*" columns="*,auto" class="sections">
                                <Label row="0" col="0" text="Mobile" class="pro_lable_lft"></Label>
                                <Label row="0" col="1" [text]= 'userProfile?.userMobileNumber' class="pro_lable_rt"></Label>
                        </GridLayout>
                        <GridLayout row="9" rows="*" columns="*,auto,auto" class="sections">
                                <Label row="0" col="0" text="Weight" class="pro_lable_lft"></Label>
                                <Label row="0" col="1" [text]= 'userProfile?.weight' class="pro_lable_rt"></Label>
                                <Label row="0" col="2" text="kg"></Label>
                        </GridLayout>
                        <GridLayout row="10" rows="*" columns="*,auto,auto" class="sections">
                                <Label row="0" col="0" text="Height" class="pro_lable_lft"></Label>
                                <Label row="0" col="1" [text]= 'userProfile?.height' class="pro_lable_rt"></Label>
                                <Label row="0" col="2" text="cm"></Label>
                        </GridLayout>
                    </GridLayout>
                </ScrollView>
            </GridLayout>
        </StackLayout>
        <StackLayout *tabItem="{title: 'Address'}" class="tab_stack" >
            <ns-action-bar title='Address'></ns-action-bar>
            <GridLayout rows="*,auto,auto">
                <ScrollView>
                    <GridLayout rows="auto,auto,auto,auto,auto,auto">
                        <GridLayout row="0" rows="*" columns="*,auto" class="sections">
                            <Label row="0" col="0" text="Address Line1" class="pro_lable_lft"></Label>
                            <Label row="0" col="1" [text]='userProfile?.address?.addressLine1' class="pro_lable_rt"></Label>
                        </GridLayout>
                        <GridLayout row="1" rows="*" columns="*,auto" class="sections">
                                <Label row="0" col="0" text="Address Line2" class="pro_lable_lft"></Label>
                                <Label row="0" col="1" [text]='userProfile?.address?.addressLine2' class="pro_lable_rt"></Label>
                        </GridLayout>
                        <GridLayout row="2" rows="*" columns="*,auto" class="sections">
                                <Label row="0" col="0" text="City" class="pro_lable_lft"></Label>
                                <Label row="0" col="1" [text]='userProfile?.address?.city' class="pro_lable_rt"></Label>
                        </GridLayout>
                        <GridLayout row="3" rows="*" columns="*,auto" class="sections">
                                <Label row="0" col="0" text="State" class="pro_lable_lft"></Label>
                                <Label row="0" col="1" [text]='userProfile?.address?.state' class="pro_lable_rt"></Label>
                        </GridLayout>
                        <GridLayout row="4" rows="*" columns="*,auto" class="sections">
                                <Label row="0" col="0" text="Country" class="pro_lable_lft"></Label>
                                <Label row="0" col="1" [text]='userProfile?.address?.country' class="pro_lable_rt"></Label>
                        </GridLayout>
                        <GridLayout row="5" rows="*" columns="*,auto" class="sections">
                                <Label row="0" col="0" text="Zip Code" class="pro_lable_lft"></Label>
                                <Label row="0" col="1" [text]='userProfile?.address?.zipcode' class="pro_lable_rt"></Label>
                        </GridLayout>
                    </GridLayout>
                </ScrollView>
            </GridLayout>
        </StackLayout>
        <StackLayout *tabItem="{title: 'Npi'}" class="tab_stack" >
            <ns-action-bar title='Npi Details'></ns-action-bar>
            <GridLayout rows="*,auto,auto">
                <ScrollView>
                    <GridLayout rows="auto,auto,auto,auto">
                        <GridLayout row="0" rows="*" columns="*,auto" class="sections">
                            <Label row="0" col="0" text="NPI Number" class="pro_lable_lft"></Label>
                            <Label row="0" col="1" [text]='userProfile?.npiNumber' class="pro_lable_rt"></Label>
                        </GridLayout>
                        <GridLayout row="1" rows="*" columns="*,auto" class="sections">
                                <Label row="0" col="0" text="Organization" class="pro_lable_lft"></Label>
                                <Label row="0" col="1" [text]='userProfile?.organization' class="pro_lable_rt"></Label>
                        </GridLayout>
                        <GridLayout row="2" rows="*" columns="*,auto" class="sections">
                                <Label row="0" col="0" text="Qualification" class="pro_lable_lft"></Label>
                                <Label row="0" col="1" [text]='userProfile?.qualification' class="pro_lable_rt"></Label>
                        </GridLayout>
                        <GridLayout row="3" rows="*" columns="*,auto" class="sections">
                                <Label row="0" col="0" text="MemberShip" class="pro_lable_lft"></Label>
                                <Label row="0" col="1" [text]='userProfile?.membership' class="pro_lable_rt"></Label>
                        </GridLayout>
                    </GridLayout>
                </ScrollView>
            </GridLayout>
        </StackLayout>
    </TabView>
</GridLayout>

